﻿@page "/"
@using Markdig
@using WebNotes.Document.Model
@using WebNotesView.Services
@inject IDocumentProviderService Provider
@inject IMarkdownRenderService MarkdownService

<h1>Blog</h1>

<p>This page demonstrates <b>Blog</b> rendering.</p>

@if (blogPages == null)
{
    <p>Loading...</p>
}
else
{
    @foreach (var item in this.blogPages)
    {
        <BSJumbotron IsFluid="true">
            <BSContainer>
                @(MarkdownService.Render(item.Content))
            </BSContainer>
        </BSJumbotron>
        <p/>
    }
}

@code {

    IEnumerable<DocumentEntity> blogPages;

    protected override async Task OnInitializedAsync()
    {
        var entries = await this.Provider.GetBlogs();
        this.blogPages = entries;
    }
}
